<?php

namespace Drupal\fox_example\Plugin\FoxCommand;

use Drupal\fox\Plugin\FoxCommand\FoxCommandBaseClass;

/**
 * EXAMPLE fox command.
 *
 * @FoxCommand(
 *   id = "example",
 *   label = @Translation("Get users count. Usage: EXAMPLE")
 * )
 */
class FoxCommandExample extends FoxCommandBaseClass {

  /**
   * {@inheritdoc}
   */
  public function execute(array $params, array $variables): array {
    $helper = $this->foxCommandsHelper();

    try {
      $query = $helper->getEntityQuery('user');
      $ids = $query->execute();
    }
    catch (\Exception $e) {
      return [
        'error' => $e->getMessage(),
      ];
    }

    $user_count = count($ids);

    return [
      'message' => $this->t('Get users count: @count', [
        '@count' => $user_count,
      ]),
      'variables' => [
        'user_count' => $user_count,
      ],
    ];
  }

}
