<?php

namespace Drupal\fox\Plugin\FoxCommand;

/**
 * USE fox command.
 *
 * @FoxCommand(
 *   id = "set",
 *   label = @Translation("Set variables. Usage: SET variable {value}")
 * )
 */
class FoxCommandSet extends FoxCommandBaseClass {

  /**
   * {@inheritdoc}
   */
  public function execute(array $params, array $variables): array {
    $var = reset($params);
    if (empty($var)) {
      return [
        'error' => $this->t('Empty variable'),
      ];
    }

    $value = $params[1] ?? NULL;

    if ($value) {
      $message = $this->t('Variable @var set to @value', [
        '@var' => $var,
        '@value' => $value,
      ]);
    }
    else {
      $message = $this->t('Variable @var was deleted', [
        '@var' => $var,
      ]);
    }

    return [
      'message' => $message,
      'variables' => [
        $var => $value,
      ],
    ];
  }

}
